Subject: Re: New whirly-bird model for ARC...
From: "Steve Bamford" <[email-masked]>
To: "Albert Moore" <[email-masked]>
Date: Thu, 3 Oct 2002 15:54:03 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Albert Moore 
  To: Steve Bamford 
  Sent: Monday, September 23, 2002 6:38 AM
  Subject: New whirly-bird model for ARC...

  Hi Steve,

      I have a new model to post on ARC.  It is Hasegawa's 1/72 AH-1S Cobra in Israeli markings.  I'll type the text below.
  Thanks again for posting my model.

  Happy Modeling,
  Albert Moore

  This is Hasegawa's 1/72 scale AH-1S Cobra (kit Dt22) built for Israeli service.  The Cobra has served with the IAF since the mid-70's, and goes by the Hebrew nickname, Tzefa' (Viper).  The Hasegawa kit contains 76 pieces and markings for a U.S. Army snake.  The fuselage has recessed panel lines and vents.  For underwing stores there are eight TOW missile launchers and two FFAR pods  There were no major assembly problems encountered and builds up rather quickly.  The cockpit detail is sparse (two seats, a control stick for the pilot, and flat instrument panels for which decals go over) allowing for big time improvements.  A pilot and gunner are included and were used to make the cockpit look "busy".  Aside from the stretched sprue antennas and cable cutter braces, I built my Cobra out of the box. 

      Humbrol enamels and Model Master paints were used to finish the Cobra.  I mixed HU110 and HU62 to come up with the distinct brown that most IAF helicopters are finished in (FS 30145).  For markings, Isradecals IAF-10 (yellow chevrons) and IAF-11 were used.  This sheet is comprehensive, containing decals for every type of helicopter that has served or is serving in the Israeli Air Force.  Hebrew data stencils, nationals insignias of every type, and squadron emblems are included as well.  The markings I chose are for Cobra no. 514 of the Southern Cobra Squadron.  For weathering, pastels were used to add the exhaust stains to the tail boom and a thinner wash was used to accentuate the panel lines.